org.apache.ignite.spi.discovery.tcp.internal

## Class FutureTask<T>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<T>
  - - org.apache.ignite.spi.discovery.tcp.internal.FutureTask<T>

All Implemented Interfaces:
  Runnable, IgniteInternalFuture<T>

    public abstract class FutureTask<T>
    extends GridFutureAdapter<T>
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`FutureTask()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract T` `body()`
`void` `run()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FutureTask

    public FutureTask()

### Method Detail

#### body

    protected abstract T body()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020